For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
      • POSTCreate Connect
      • GETGet Connect
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
DAFpayConnects

Get Connect

GET
/v1/connects/:id
GET
/v1/connects/:id
$curl https://api.givechariot.com/v1/connects/live_xJd0lUrvpDkzeGBWZbuI2wbvEdM \
> -H "Authorization: Bearer <token>"
1{
2 "id": "test_connect123",
3 "apiKey": "test_apiTokenABC",
4 "name": "website",
5 "active": true,
6 "createdAt": "2020-01-31T23:00:00Z",
7 "updatedAt": "2020-01-31T23:59:59Z",
8 "createdBy": "auth0-user-id-123",
9 "archived": false,
10 "metadata": {}
11}
Retrieve a connect with the given ID.
Was this page helpful?
Previous

List Grants

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
the unique id of the connect

Response

OK
idstringRead-only

The unique identifier for this object. This is also the ‘publishable’ cid to use for initializing Connect for client-side integration.

apiKeystringRead-only

(deprecated) A secure token that can be used to make M2M API calls to read data generated by this object.

namestring
A human readable name for the connect, optional.
activeboolean
A flag to indicate if this connect is active. If true, then this Connect can process donations and grants, otherwise this Connect cannot process grants.
createdAtstringRead-onlyformat: "date-time"
Time when this object was created. Expressed in RFC 3339 format.
updatedAtstringRead-onlyformat: "date-time"
Time when this object was last updated. Expressed in RFC 3339 format.
createdBystringRead-only
ID of the user who created this object.
archivedbooleanRead-only
A flag to indicate if this object is marked for deletion.
metadatamap from strings to strings
A map of arbitrary string keys and values to store information about the object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error